package com.example.cookbook.controller;


import com.example.cookbook.model.DostavaDTO;
import com.example.cookbook.model.Naracka;
import com.example.cookbook.model.Recept;
import com.example.cookbook.model.Stavka;
import com.example.cookbook.service.NarackiService;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.sql.SQLException;
import java.time.LocalDateTime;
import java.util.List;

@Controller
public class VrabotenController {

    private final NarackiService narcakiService;

    public VrabotenController(NarackiService narcakiService) {
        this.narcakiService = narcakiService;
    }


    @GetMapping("/naracki")
    public String getNaracki(Model model){

        List<Naracka> naracki = null;
        try {
            naracki = narcakiService.listAll();
        } catch (SQLException e) {
            return "redirect:/error-page/SQL%20Exception";
        }
        model.addAttribute("naracki", naracki);
        return "naracki";
    }

    @GetMapping("/naracki/naracka")
    public String getNarackaPage(@RequestParam String telefon,
                                 @RequestParam LocalDateTime vreme,
                                 Model model){
        List<DostavaDTO> podatoci = null;
        List<Stavka> stavkiVoNaracka = null;
        try {
            stavkiVoNaracka = narcakiService.findByTelAndVreme(telefon, vreme);
            podatoci = narcakiService.findDataForDostava(telefon, vreme);
        } catch (SQLException e) {
            return "redirect:/error-page/SQL%20Exception";
        }

        model.addAttribute("stavki", stavkiVoNaracka);
        model.addAttribute("podatoci", podatoci);

        return "stavka";
    }
}
